Package org.apache.qpid.proton.amqp.security

# Class SaslInit

java.lang.Object
org.apache.qpid.proton.amqp.security.SaslInit

All Implemented Interfaces:
  `SaslFrameBody`

public final class SaslInit extends Object implements SaslFrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.security.SaslFrameBody

`SaslFrameBody.SaslFrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`SaslInit()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHostname()`
`Binary`
`getInitialResponse()`
`Symbol`
`getMechanism()`
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setHostname(String hostname)`
`void`
`setInitialResponse(Binary initialResponse)`
`void`
`setMechanism(Symbol mechanism)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaslInit

public SaslInit()

## Method Details

### getMechanism

public Symbol getMechanism()

### setMechanism

public void setMechanism(Symbol mechanism)

### getInitialResponse

public Binary getInitialResponse()

### setInitialResponse

public void setInitialResponse(Binary initialResponse)

### getHostname

public String getHostname()

### setHostname

public void setHostname(String hostname)

### invoke

public <E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `SaslFrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`